(define-module (wip mycroft)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix git-download)
  #:use-module (guix hg-download)
  #:use-module (guix utils)
  #:use-module (guix build-system python)
  #:use-module (guix build-system gnu)
  #:use-module (guix gexp)
  #:use-module (gnu packages)
  #:use-module (gnu packages base))

(define-public mycroft-core
  (package
    (name "mycroft-core")
    (version "0.9.12")
      (source
    (origin
      (method url-fetch)
      (uri (string-append
             "https://github.com/MycroftAI/mycroft-core/archive/release/v" version ".tar.gz"))
      (sha256
        (base32
          "1znywqay5a42dh4nxcg1vb6mymgcfs452nzayiprmhvlzlk8xj77"))))
  (build-system python-build-system)
  (home-page "https://github.com/MycroftAI/mycroft-core/releases")
  (synopsis "Voice Assistant")
  (description "Voice Assistant.")
  (license license:asl2.0)))

;;; TODO mimic [festival], mycroft-skills, adapt [intent]
;;; 100 components
;;; TODO skill-*

